Summary:	Music player for GNOME
Name:		decibel-audio-player
Version:	1.05
Release:	1%{?dist}
License:	GPLv2+
Group:		Applications/Multimedia
URL:		http://decibel.silent-blade.org/
Source0:	http://decibel.silent-blade.org/uploads/Main/%{name}-%{version}.tar.gz

Patch0:		%{name}-%{version}-desktop.patch

BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

Requires:	dbus-python
Requires:	gnome-python2-gnome
Requires:	gnome-python2-gnomekeyring
Requires:	gstreamer-python
Requires:	hicolor-icon-theme
Requires:	notify-python
Requires:	pygtk2-libglade
Requires:	python-CDDB
Requires:	python-mutagen

BuildRequires:	desktop-file-utils
BuildRequires:	gettext

BuildArch:	noarch

%description
Decibel is an audio player that aims at being very straightforward to use by
means of a very clean and user friendly interface. It is especially targeted
at GNOME and will follow, as closely as possible, the GNOME HIG. It makes use
of the GStreamer library to read audio files.

%prep
%setup -q
%patch0 -p1

# Suppress rpmlint error.
sed --in-place --expression '1d' ./src/%{name}.py

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/24x24/apps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/64x64/apps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/128x128/apps

make install prefix=%{_prefix} INSTALL="%{__install} -p" \
  DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

# icon
install -p -m644 $RPM_BUILD_ROOT%{_datadir}/%{name}/pix/%{name}-16.png \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
install -p -m644 $RPM_BUILD_ROOT%{_datadir}/%{name}/pix/%{name}-24.png \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/24x24/apps/%{name}.png
install -p -m644 $RPM_BUILD_ROOT%{_datadir}/%{name}/pix/%{name}-32.png \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
install -p -m644 $RPM_BUILD_ROOT%{_datadir}/%{name}/pix/%{name}.png \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
install -p -m644 $RPM_BUILD_ROOT%{_datadir}/%{name}/pix/%{name}-64.png \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
install -p -m644 $RPM_BUILD_ROOT%{_datadir}/%{name}/pix/%{name}-128.png \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/128x128/apps/%{name}.png

desktop-file-install --vendor fedora --delete-original \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post
update-desktop-database &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
update-desktop-database &> /dev/null || :

if [ $1 -eq 0 ]; then
  touch --no-create %{_datadir}/icons/hicolor &>/dev/null
  gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc doc/ChangeLog
%doc doc/LICENCE
%doc %{_mandir}/man1/%{name}.1*
%doc %{_mandir}/man1/%{name}-remote.1*
%{_bindir}/%{name}
%{_bindir}/%{name}-remote
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
%{_datadir}/icons/hicolor/24x24/apps/%{name}.png
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
%{_datadir}/pixmaps/%{name}.png

%dir %{_datadir}/%{name}
%{_datadir}/%{name}/pix
%{_datadir}/%{name}/res
%{_datadir}/%{name}/src

%changelog
* Wed Aug 11 2010 Debarshi Ray <rishi@fedoraproject.org> - 1.05-1
- Version bump to 1.05. (Red Hat Bugzilla #608398)
  * Added presets to the equalizer.
  * Close properly on Ctrl+C.
  * Fixed crash when trying to set the cover for the current track.
  * Fixed Gnome media keys no longer working when starting/closing multiple
    instances.
  * Fixed labels not always properly updated in the equalizer.
  * Improved startup time.
  * Middle-click toggles pause, scroll changes volume.
  * The playbin2 GStreamer component is now used by default.
  * Equalizer module has a menu item (Ctrl+E) when enabled. (Launchpad #495761)
  * Stick to the Media Player Remote Interface Specifications. (Launchpad
    #534021)
  * Added Zeitgeist support. (Launchpad #579972)
  * Skips two songs when one is not found. (Launchpad #581654)
  * Ignore disc number when it looks like '1/1'. (Launchpad #596350)
  * http://decibel.silent-blade.org/index.php?n=Main.ReleaseNotes

* Sun May 23 2010 Debarshi Ray <rishi@fedoraproject.org> - 1.04-1
- Version bump to 1.04. (Red Hat Bugzilla #521476)
  * Added a bitrate column in the tracklist.
  * Better behavior of the list of explorers when renaming a library/root
    folder.
  * Fixed Pidgin status not updated by the IMStatus module.
  * Improved the look of the cover thumbnail.
  * Merged mini and nano modes.
  * Added a ReplayGain module. (Launchpad #179094)
  * Removed the concept of media directories, add directories' contents
    recursively (File Explorer). (Launchpad #179998)
  * Added a 10-bands equalizer module. (Launchpad #194506)
  * Save preferences when receiving the SIGTERM signal. (Launchpad #211196)
  * Fixed AudioScrobbler module no longer submitting tracks in case of very
    bad tags. (Launchpad #307525)
  * Added an option to the File Explorer to add and sort files to the playlist
    by their name. (Launchpad #311427)
  * Fixed application not working after locale change. (Launchpad #311293)
  * Make the last track the previous track of the first track when repeat is
    enabled. (Launchpad #324463)
  * Fixed grey text not always visible once selected. (Launchpad #331867)
  * Added support for WavPack files. (Launchpad #343080)
  * "Play a random album" added to the context menu of the Library. (Launchpad
    #385114)
  * Fixed remote not working with playlist operations. (Launchpad #390978)
  * When cropping, deleting the current track should stop the playback.
    (Launchpad #410199)
  * Added a Twitter module. (Launchpad #415836)
  * Replaced the "view" menu by a mode selector. (Launchpad #416823)
  * Show album cover in desktop notifications if possible. (Launchpad #418076)
  * Time slider sometimes stops moving. (Launchpad #424976)
  * Fixed '&' character not correctly displayed in the Library randomness
    menu. (Launchpad #425132)
  * Added support for .ape files. (Launchpad #425326)
  * Fixed improper length for MP3 files without ID3 tags. (Launchpad #426388)
  * Fixed files with a '#' character in their path not being played.
    (Launchpad #428307)
  * Added support for ac3 and mp2 files. (Launchpad #442843)
  * Fixed a refresh bug causing the application to hang. (Launchpad #473886)
  * Don't start a new instance when there is already one running. (Launchpad
    #490719)
  * Fixed removal of a root folder in the File Explorer. (Launchpad #496154)
  * Fixed drag'n'drop into the playlist. (Launchpad #501114)
  * CD-ROM read speed can be configured. (Launchpad #502297)
  * Improper sorting when adding tracks that don't all have a performer tag.
    (Launchpad #509494)
  * Play button plays selected track if any. (Launchpad #511720)
  * Cannot open playlists using backslashes as path separators. (Launchpad
    #526273)
  * Cannot play files with a percent sign in their path (Launchpad #528442)
  * Added a wildcard (*) for cover names. (Launchpad #541763)
  * [AudioScrobbler] Song not submitted when quitting while playing.
    (Launchpad #565828)
  * Use case-insensitive sorting in the library. (Launchpad #513965)
  * "Save as" dialog now opens the last directory used. (Launchpad #523692)
  * Gloss effect on covers can be disabled by using the --no-glossy-cover
    option on the command line. (Launchpad #562905)
  * http://decibel.silent-blade.org/index.php?n=Main.ReleaseNotes
- Updated the desktop database and icon cache scriptlet snippets according to
  Fedora packaging guidelines.

* Fri Jul 24 2009 Release Engineering <rel-eng@fedoraproject.org> - 1.00-3
- Autorebuild for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Release Engineering <rel-eng@fedoraproject.org> - 1.00-2
- Autorebuild for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Jan 11 2009 Debarshi Ray <rishi@fedoraproject.org> - 1.00-1
- Version bump to 1.00. (Red Hat Bugzilla #477262)
  * http://decibel.silent-blade.org/index.php?n=Main.ReleaseNotes
- Added 'Requires: notify-python'.

* Fri Nov 14 2008 Debarshi Ray <rishi@fedoraproject.org> - 0.11-1
- Version bump to 0.11. (Red Hat Bugzilla #464479)
  * http://decibel.silent-blade.org/index.php?n=Main.ReleaseNotes
- Replaced 'Requires: gnome-python2' with 'Requires: gnome-python2-gnome' on
  all distributions starting from Fedora 10. (Red Hat Bugzilla #460027)
- Added 'Requires: python-CDDB'.

* Thu Jul 24 2008 Debarshi Ray <rishi@fedoraproject.org> - 0.10-2
- Added 'Requires: gnome-python2-gnomekeyring'. Closes Red Hat Bugzilla bug
  #455780.

* Thu May 22 2008 Debarshi Ray <rishi@fedoraproject.org> - 0.10-1
- Version bump to 0.10.
  * http://decibel.silent-blade.org/index.php?n=Main.ReleaseNotes

* Sun Feb 03 2008 Debarshi Ray <rishi@fedoraproject.org> - 0.09-1
- Initial build.
  * http://decibel.silent-blade.org/index.php?n=Main.ReleaseNotes
- Fixed wrong MimeType.
- Removed Application from Categories.
- Removed Encoding from Desktop Entry for all distributions, except Fedora 7.
